"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../utils");
class CryptoJSON {
    constructor(config) {
        this.config = (0, utils_1.ensureObject)(config);
    }
    async encrypt(decrypted) {
        return Promise.resolve(JSON.stringify((0, utils_1.ensureObject)(decrypted)));
    }
    async decrypt(encrypted) {
        return Promise.resolve((0, utils_1.safeParse)(encrypted));
    }
}
exports.default = CryptoJSON;
//# sourceMappingURL=CryptoJSON.js.map