"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const CryptoJSON_1 = __importDefault(require("./CryptoJSON"));
const utils_1 = require("../utils");
class FactoryCrypto {
    static getInstance(config) {
        let crypto = this._crypto;
        if (crypto) {
            return crypto;
        }
        crypto = new CryptoJSON_1.default((0, utils_1.ensureObject)(config));
        FactoryCrypto._crypto = crypto;
        return crypto;
    }
}
exports.default = FactoryCrypto;
//# sourceMappingURL=FactoryCrypto.js.map