import AbstractStorage from './AbstractStorage';
import { StorageConfig } from '../types';
export default class StorageInMemory extends AbstractStorage {
    defaultGet: string;
    storage: Record<string, string | number>;
    constructor(config: StorageConfig);
    setItem(key: string, value: string): void;
    getItem(key: string): string;
    removeItem(key: string): void;
    static isSupported(): boolean;
}
