import { StorageConfig, StorageImplementation } from '../types';
export default abstract class AbstractStorage implements StorageImplementation {
    config: StorageConfig;
    constructor(config: StorageConfig);
    abstract setItem(key: string, value: string | number): void;
    abstract getItem(key: string): string;
    abstract removeItem(key: string): void;
}
