import * as Cookies from 'js-cookie';
import AbstractStorage from './AbstractStorage';
import { StorageConfig } from '../types';
export default class StorageCookie extends AbstractStorage {
    storage: typeof Cookies;
    constructor(config: StorageConfig);
    setItem(key: string, value: string): void;
    getItem(key: string): string;
    removeItem(key: string): void;
    static isSupported(): boolean;
}
