import AbstractStorage from './AbstractStorage';
import { StorageConfig } from '../types';
export default class StorageLocal extends AbstractStorage {
    storage: Storage;
    constructor(config: StorageConfig);
    setItem: (key: string, value: string) => void;
    getItem: (key: string) => string;
    removeItem: (key: string) => void;
    static isSupported(): boolean;
}
