import { ObjectType } from './types';
export declare const TEST_STORAGE: {
    KEY: string;
    VALUE: string;
};
export declare const DEFAULT_VERBS: string[];
export declare const delay: (time: number) => Promise<void>;
export declare const ensureString: (string: unknown) => string;
export declare const ensureObject: <T>(object: unknown) => T;
export declare const stringNotEmpty: (stringable: unknown) => boolean;
export declare const removeLeadingSlash: (string: string) => string;
export declare const removeTrailingSlash: (string: string) => string;
export declare const safeTrim: (object: string | Record<string, any>) => string | Record<string, any>;
export declare const safeParse: (value: string | Record<string, any>, trim?: boolean) => Record<string, any>;
export declare const convertHeaders: (headers: Headers) => ObjectType;
export declare const replaceHeaders: (headers?: ObjectType, replacements?: ObjectType) => ObjectType;
export declare const testBrowserStorage: (type: string) => boolean;
